## org.biojava.bio.program.homologene
Interface OrthologueSet

All Known Implementing Classes:
  AbstractOrthologueSet, SimpleOrthologueSet

    public interface OrthologueSet

Interface for classes that store and manipulate orthologues.

You cannot create Orthologues here, just work with them.

Author:
  David Huen * @author Matthew Pocock

Nested Class Summary
`static interface` `OrthologueSet.Iterator` An iterator for the contents of an OrthologueSet.

Field Summary
`static ChangeType` `MODIFY`

Method Summary
`void` `addOrthologue(Orthologue ortho)` Add an orthologue to the set.
`OrthologueSet` `filter(OrthologueFilter filter)` Filter the contents of a set.
`Orthologue` `getOrthologue(String homologeneID)`
`OrthologueSet.Iterator` `iterator()` Return an iterator to the contents of the set.
`void` `removeOrthologue(Orthologue ortho)` Remove an orthologue from the set.

Field Detail

### MODIFY

    static final ChangeType MODIFY

Method Detail

### getOrthologue

    Orthologue getOrthologue(String homologeneID)

### addOrthologue

    void addOrthologue(Orthologue ortho)
                       throws ChangeVetoException

  Add an orthologue to the set.

  Throws:
    `ChangeVetoException`

### removeOrthologue

    void removeOrthologue(Orthologue ortho)
                          throws ChangeVetoException

  Remove an orthologue from the set.

  Throws:
    `ChangeVetoException`

### iterator

    OrthologueSet.Iterator iterator()

  Return an iterator to the contents of the set.

### filter

    OrthologueSet filter(OrthologueFilter filter)

  Filter the contents of a set.